////////////////////////////////////////////////////////////////////////////////
//divides a 32 bit unsigned integer by an 8 bit unsigned integer and returns   /
//a 32 bit result.  The remainder is thrown away but still needs to be done as /
//part of the algorithm.                                                       /
//                                                                             /
//The WDT is kicked once for each of the 32 computation loops to allow this    /
//function to be called even when operating on a 32khz processor.              / 
////////////////////////////////////////////////////////////////////////////////
unsigned int32 div32x8 (unsigned int32 numerator,unsigned int8 divisor){
unsigned int8  loop_counter;
unsigned int32 result=0;
unsigned int16 remainder=0;
unsigned int8  carry;

if (divisor==0)
    return 0xffffffff;
    
for (loop_counter=32;loop_counter>0;loop_counter--)
    {
    restart_wdt();
    remainder = remainder << 1;     //rotate in highest bit from numerator
    if (numerator & 0x80000000)     //  into the remainder
        remainder++;
    numerator = numerator << 1;
    carry=0;
    if ((remainder & 0x100) || (make8(remainder,0)>=divisor))
        {
        remainder=remainder-divisor;
        carry=1;
        }
    result=result<<1;
    if (carry)
        result++;
    }

return result;
}
////////////////////////////////////////////////////////////////////////////////
